ObjectAttribute (CMDB Model API)
Keywords: com.collation.platform.model.topology.meta.ObjectAttribute interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.meta
Interface ObjectAttribute

All Superinterfaces:
  CmdbMeta, ModelObject, java.io.Serializable

    public interface ObjectAttribute

extends CmdbMeta

Naming Rules:
  0="parent,name"
Persistable:
  true
Table Name:
  OBJATTRMETA

Method Summary
`boolean` | `getArrayType()`
`boolean` | `getBlob()`
`java.lang.String` | `getColumn()`
`boolean` | `getContained()`
`java.lang.String` | `getDisplayString()`
`EnumerationType` | `getEnumType()`
`int` | `getLength()`
`java.lang.String` | `getName()`
`ObjectClass` | `getParent()`
`java.lang.String` | `getQualifierString()`
`java.lang.String` | `getRelationshipType()`
`boolean` | `getReverseRelationship()`
`java.lang.String` | `getTable()`
`boolean` | `getTimestampType()`
`java.lang.String` | `getType()`
`boolean` | `hasArrayType()`
`boolean` | `hasBlob()`
`boolean` | `hasColumn()`
`boolean` | `hasContained()`
`boolean` | `hasDisplayString()`
`boolean` | `hasEnumType()`
`boolean` | `hasLength()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasQualifierString()`
`boolean` | `hasRelationshipType()`
`boolean` | `hasReverseRelationship()`
`boolean` | `hasTable()`
`boolean` | `hasTimestampType()`
`boolean` | `hasType()`
`void` | `setArrayType(boolean b)`
`void` | `setBlob(boolean b)`
`void` | `setColumn(java.lang.String s)`
`void` | `setContained(boolean b)`
`void` | `setDisplayString(java.lang.String s)`
`void` | `setEnumType(EnumerationType type)`
`void` | `setLength(int i)`
`void` | `setName(java.lang.String s)`
`void` | `setParent(ObjectClass cls)`
`void` | `setQualifierString(java.lang.String s)`
`void` | `setRelationshipType(java.lang.String type)`
`void` | `setReverseRelationship(boolean b)`
`void` | `setTable(java.lang.String s)`
`void` | `setTimestampType(boolean b)`
`void` | `setType(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    ObjectClass getParent()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(ObjectClass cls)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String s)

### hasName

    boolean hasName()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String s)

### hasType

    boolean hasType()

### getArrayType

    boolean getArrayType()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setArrayType

    void setArrayType(boolean b)

### hasArrayType

    boolean hasArrayType()

### getTimestampType

    boolean getTimestampType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTimestampType

    void setTimestampType(boolean b)

### hasTimestampType

    boolean hasTimestampType()

### getBlob

    boolean getBlob()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBlob

    void setBlob(boolean b)

### hasBlob

    boolean hasBlob()

### getLength

    int getLength()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLength

    void setLength(int i)

### hasLength

    boolean hasLength()

### getContained

    boolean getContained()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setContained

    void setContained(boolean b)

### hasContained

    boolean hasContained()

### getRelationshipType

    java.lang.String getRelationshipType()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRelationshipType

    void setRelationshipType(java.lang.String type)

### hasRelationshipType

    boolean hasRelationshipType()

### getReverseRelationship

    boolean getReverseRelationship()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReverseRelationship

    void setReverseRelationship(boolean b)

### hasReverseRelationship

    boolean hasReverseRelationship()

### getEnumType

    EnumerationType getEnumType()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnumType

    void setEnumType(EnumerationType type)

### hasEnumType

    boolean hasEnumType()

### getDisplayString

    java.lang.String getDisplayString()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDisplayString

    void setDisplayString(java.lang.String s)

### hasDisplayString

    boolean hasDisplayString()

### getQualifierString

    java.lang.String getQualifierString()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setQualifierString

    void setQualifierString(java.lang.String s)

### hasQualifierString

    boolean hasQualifierString()

### getColumn

    java.lang.String getColumn()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setColumn

    void setColumn(java.lang.String s)

### hasColumn

    boolean hasColumn()

### getTable

    java.lang.String getTable()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTable

    void setTable(java.lang.String s)

### hasTable

    boolean hasTable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD